#ifndef HEADER_CONFIG_MENDER_DEFINES_H
#define HEADER_CONFIG_MENDER_DEFINES_H

/* Shell variables */
#define MENDER_BOOT_PART_NUMBER 1
#define MENDER_BOOT_PART_NUMBER_HEX 1
#define MENDER_ROOTFS_PART_A_NUMBER 2
#define MENDER_ROOTFS_PART_A_NUMBER_HEX 2
#define MENDER_ROOTFS_PART_B_NUMBER 3
#define MENDER_ROOTFS_PART_B_NUMBER_HEX 3
#define MENDER_UBOOT_STORAGE_INTERFACE "mmc"
#define MENDER_UBOOT_STORAGE_DEVICE 0

/* BB variables. */
#define MENDER_STORAGE_DEVICE_BASE "/dev/mmcblk0"
/*
	Flash layout (bytes), 512 byte sectors, before partition 1, sector 2048, 0x100000
	0x0 partition table
	0x200 u-boot binary (last address: 0x9212C - room to grow)
	0xF8000 ENV_STORAGE_DEVICE_OFFSET_1
	0xFC000 ENV_STORAGE_DEVICE_OFFSET_2
*/
#define MENDER_UBOOT_ENV_STORAGE_DEVICE_OFFSET_1 0xF8000
#define MENDER_UBOOT_ENV_STORAGE_DEVICE_OFFSET_2 0xFC000
#define MENDER_ROOTFS_PART_A_NAME "/dev/mmcblk0p2"
#define MENDER_ROOTFS_PART_B_NAME "/dev/mmcblk0p3"
/* #define MENDER_MTD_UBI_DEVICE_NAME "" */

/* For sanity checks. */
#define MENDER_BOOTENV_SIZE 0x4000

#define MENDER_BOOT_KERNEL_TYPE "bootm"
#define MENDER_KERNEL_NAME "uImage"
#define MENDER_DTB_NAME "dtb"
#define MENDER_UBOOT_PRE_SETUP_COMMANDS ""
#define MENDER_UBOOT_POST_SETUP_COMMANDS ""

#endif /* HEADER_CONFIG_MENDER_DEFINES_H */
