#!/bin/sh
# Postinst scripts appear to not be present for builtin packages
# Put them in /etc/uci-defaults/script.sh
/etc/init.d/jitter-rngd enable; /etc/init.d/jitter-rngd	start
mkdir -p /var/lib
mkdir -m 0700 -p /data/mender
ln -sf /data/mender /var/lib/mender
# Replace u-boot fw_printenv with Mender configured version
mv -f /etc/fw_printenv_new /usr/sbin/fw_printenv
# Create Mender client key
if [ ! -f /data/mender/mender-agent.pem ]; then
	echo "Creating mender client key" >> /var/log/mender.log
	cd /tmp; /etc/mender/mender_create_key.sh; cd -; >> /var/log/mender.log
	cp /tmp/keys-client-generated/private.key /tmp/mender-agent.pem
	chmod 600 /tmp/mender-agent.pem
fi
scheduled=`/bin/cat /etc/crontabs/root | /bin/grep /usr/bin/mender`
if [ "$scheduled" == "" ]; then
	/bin/echo '*/5 * * * * /bin/pidof mender; if [ $? -eq 0 ]; then : ; else /etc/init.d/mender restart; fi' >> /etc/crontabs/root
fi
/etc/init.d/cron stop; /etc/init.d/cron start
# Don't start @ install. Will stall until /var/log/LAST_BOOT exists, delaying other installs
#/etc/init.d/mender enable; /etc/init.d/mender start
