#!/bin/sh

# Run from ../openwrt 
# Insure this matches openwrt_config kernel version
KERNEL_VERSION=4.14
#KERNEL_VERSION=4.19

# Get Mender changes /files
# wget ...
cp -rf Custom openwrt/Custom

cd openwrt

# Save existing default kernel configurations (havent run make any*config yet)
cp target/linux/sunxi/cortexa53/config-4.14 target/linux/sunxi/cortexa53/config-4.14_orig
cp target/linux/sunxi/cortexa53/config-4.19 target/linux/sunxi/cortexa53/config-4.19_orig

# Add mender/openwrt configurations
#cp .config .config_orig
cp Custom/replace/openwrt_config .config
cat target/linux/sunxi/cortexa53/config-4.14 Custom/replace/4.14-config-default_additional > target/linux/sunxi/cortexa53/config-4.14
cat target/linux/sunxi/cortexa53/config-4.19 Custom/replace/4.19-config-default_additional > target/linux/sunxi/cortexa53/config-4.19

# Mender u-boot changes
cp package/boot/uboot-sunxi/Makefile package/boot/uboot-sunxi/Makefile_orig
patch -p1 < Custom/replace/uboot-sunxi-Makefile-mender.patch;
cp -rf Custom/package/boot/uboot-sunxi/files package/boot/uboot-sunxi

# gcc needs to be patched: http://lists.busybox.net/pipermail/buildroot/2017-September/202526.html
# created patch: feeds/packages/devel/gcc/patches/980-use_ucontext_t.patch
cp Custom/replace/980-use_ucontext_t.patch feeds/packages/devel/gcc/patches/980-use_ucontext_t.patch

# libuhttpd/Makefile missing depend when using glibc
# ld: staging_dir/target-aarch64_cortex-a53_glibc/usr/lib/liblua.so: undefined reference to `sinh’
# diff feeds/packages/libs/libuhttpd/Makefile_old feeds/packages/libs/libuhttpd/Makefile
cp feeds/packages/libs/libuhttpd/Makefile feeds/packages/libs/libuhttpd/Makefile_orig
patch -p1 < Custom/replace/libuhttpd.patch

# OpenWrt kernel: [  868.509767] dwmac-sun8i 1c30000.ethernet eth0: Too many address, switching to promiscuous
# hint1: https://forum.pine64.org/showthread.php?tid=5712
# hint2: https://github.com/torvalds/linux/blob/master/arch/arm64/boot/dts/allwinner/sun50i-h6-pine-h64.dts
# file: build_dir/target-aarch64_cortex-a53_glibc/linux-sunxi_cortexa53/linux-4.14.90/arch/arm64/boot/dts/allwinner/sun50i-a64-sopine-baseboard.dts
# Appears to be a skew issue between tx-delay-ps and rx-delay-ps
# add: allwinner,tx-delay-ps = <500>; to &emac struct in above file
# original patch moved to: target/linux/sunxi/030-arm64-allwinner-a64-add-Ethernet-PHY-regulator-for-s.patch_orig

mv target/linux/sunxi/patches-4.14/030-arm64-allwinner-a64-add-Ethernet-PHY-regulator-for-s.patch \
	target/linux/sunxi/030-arm64-allwinner-a64-add-Ethernet-PHY-regulator-for-s.patch_orig
cp Custom/replace/4.14-030-arm64-allwinner-a64-add-Ethernet-PHY-regulator-for-s.patch \
	target/linux/sunxi/patches-4.14/030-arm64-allwinner-a64-add-Ethernet-PHY-regulator-for-s.patch

# New / custom packages
# package jitter-rngd solves lack of entropy very slow boot problem 
ln -sf ../../../Custom/utils/jitter-rngd package/feeds/packages/jitter-rngd
ln -sf ../../../Custom/utils/mender package/feeds/packages/mender
cp ../mender_flashdisk.sh .

make oldconfig


